none
KB4520405 (KB4519565) changes ClickOnce application from TLS 1.2 to 1.0 RRS feed

  • General discussion

  • We just noticed that very recent cumulative security patch KB4520405 (KB4519565) changed already deployed ClickOnce application to use TLS 1.0 instead of 1.2.

    The server which client is connecting supports only TLS 1.2 and result was a failing connection with error: "Unable to read data from the transport connection: An existing connection was forcibly closed by the remote host."

    This change must be unintentional, because application now uses the oldest possible TLS version, instead of the latest as previously. Uninstalling the security batch fixed the issue.

    Just tip if you encounter the same issue. It was pretty hard to figure out to us.  And also please Microsoft, fix the issue. Can't be like this.


    Thursday, October 24, 2019 12:13 PM